<?php

/**
 * Main context class to detect user's device type.
 */
class cmd_condition extends context_condition {
  function condition_values() {
    return array(
      1 => t('Mobile Device'),
      2 => t('Tablet Device'),
      3 => t('Desktop Device')
    );
  }

  function editor_form($context = NULL) {
    $form = parent::editor_form($context);
    $form[1]['#title'] = t('Mobile Device');
    $form[2]['#title'] = t('Tablet Device');
    $form[3]['#title'] = t('Desktop Device');
    $form['#weight'] = -10;
    return $form;
  }

  function execute() {
    $layout = _context_mobile_detect_detect(FALSE);

    foreach ($this->get_contexts($layout) as $context) {
      $this->condition_met($context, $layout);
    }
  }
}
